Subject: Re: [PATCH] powerpc: Fix /dev/oldmem for kdump

From: Michael Ellerman <[email-masked]>
Date: Thu, 03 Jul 2008 16:15:10 +1000

On Thu, 2008-06-26 at 16:25 +0530, Sachin P. Sant wrote:
> This one has been pending for a long time. Somehow never
> made it upstream.
> 
> Resending the patch which fixes /dev/oldmem interface for kdump.
> 
> Tested with 2.6.26-rc8.
> 
> Signed-off-by : Michael Ellerman <[email-masked]>

Even though I wrote this, it was so long ago I can't really vouch for
it. If you've tested it and it works Sachin then we should merge it. Is
this fix in distros or does it not apply?

> Also make sure we're only reading one page or less at a time.

It looks like the generic code ensures that I think, but it can't hurt.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person